@tool
class_name Rumbler extends Control
## Rumbles children.

const EPSILON := 1e-6

@export var intensity := 0.0


func _process(_delta: float) -> void:
	if intensity > EPSILON:
		position.x = randfn(0, intensity)
		position.y = randfn(0, intensity)
	else:
		position = Vector2.ZERO
